Bug 1287780 - Jenkins guice version causes build problems
Jenkins guice version causes build problems
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: jenkins (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 11:30 EST by Juraci Paixão Kröhling
Modified: 2016-12-20 11:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:35:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juraci Paixão Kröhling 2015-12-02 11:30:34 EST
Description of problem:
Similar to #1287638, this time for guice. I wasn't able to consistently reproduce this issue, but once a job starts failing with a "StackOverflowError", all subsequent builds fail with the same issue. 

Example:
16:14:54 java.io.IOException: remote file operation failed: /home/jenkins/workspace/hawkular-accounts-pr-builder at hudson.remoting.Channel@304a0a3b:caipora: java.io.IOException: Remote call on caipora failed
16:14:54 	at hudson.FilePath.act(FilePath.java:987)
16:14:54 	at hudson.FilePath.act(FilePath.java:969)
16:14:54 	at hudson.maven.MavenModuleSetBuild$MavenModuleSetBuildExecution.parsePoms(MavenModuleSetBuild.java:960)
16:14:54 	at hudson.maven.MavenModuleSetBuild$MavenModuleSetBuildExecution.doRun(MavenModuleSetBuild.java:679)
16:14:54 	at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:537)
16:14:54 	at hudson.model.Run.execute(Run.java:1741)
16:14:54 	at hudson.maven.MavenModuleSetBuild.run(MavenModuleSetBuild.java:531)
16:14:54 	at hudson.model.ResourceController.execute(ResourceController.java:98)
16:14:54 	at hudson.model.Executor.run(Executor.java:408)
16:14:54 Caused by: java.io.IOException: Remote call on caipora failed
16:14:54 	at hudson.remoting.Channel.call(Channel.java:789)
16:14:54 	at hudson.FilePath.act(FilePath.java:980)
16:14:54 	... 8 more
16:14:54 Caused by: java.lang.StackOverflowError
16:14:54 	at sun.reflect.GeneratedMethodAccessor14.invoke(Unknown Source)


Version-Release number of selected component (if applicable):


How reproducible:
Not sure. Once a job starts failing, all subsequent jobs fail. 

Additional info:
Similar to #1287638, this can be fixed by adding guice-4.0-beta.jar from WEB-INF/lib of a WAR downloaded from jenkins-ci.org into /usr/share/java/ and changing the symlink for /usr/share/jenkins/webroot/WEB-INF/lib/guice.jar to /usr/share/java/guice-4.0-beta.jar
Comment 1 Fedora End Of Life 2016-11-24 08:55:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:35:19 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.